%define _requires_exceptions typelib(Unity)\\|typelib(MessagingMenu)

%define major 3
%define libname %mklibname %name %major
%define girmajor 0.3
%define girname %mklibname %name-gir %girmajor
%define develname %mklibname %name -d

Name:		gwibber
Version:	3.6.0
Release:	%mkrel 6
Summary:	An open source microblogging client for GNOME developed with Python and GTK
Group:		Networking/Other
License:	GPLv2+
URL:		https://launchpad.net/gwibber
Source0:	http://launchpad.net/gwibber/3.6/%{version}/+download/gwibber-%{version}.tar.gz
Source1:	https://launchpad.net/gwibber-service-sina/trunk/0.9.1/+download/gwibber-service-sina-0.9.1.tar.gz
Patch0:		gwibber-3.6.0-drop-gtk2.patch
Patch1:		gwibber-3.6.0-desktop-file.patch
Patch2:		gwibber-3.6.0-pillow.patch
BuildRequires: pkgconfig(dee-1.0) >= 1.0.0
BuildRequires: pkgconfig(gdk-3.0) >= 3.2
BuildRequires: pkgconfig(gee-1.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.26
BuildRequires: pkgconfig(glib-2.0) >= 2.26
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0) >= 2.26
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.2
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libaccounts-glib)
BuildRequires: pkgconfig(libnotify) >= 0.7
BuildRequires: pkgconfig(libsignon-glib)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.10
BuildRequires: pkgconfig(signond)
BuildRequires: intltool >= 0.35.0
BuildRequires: vala >= 0.15
BuildRequires: python-devel >= 2.6
BuildRequires: gettext-devel
BuildRequires: python-setuptools
BuildRequires: python-distutils-extra
Requires: python-sqlite2
Requires: python-dbus
Requires: python-simplejson
Requires: python-oauth
Requires: python-pillow
Requires: python-gi

%description
Gwibber is an open source microblogging client for GNOME developed with Python
and GTK. It supports Twitter, Jaiku, Identi.ca, Facebook, and Digg.

%package -n %libname
Summary: Gwibber - shared library
Group: Networking/Other

%description -n %libname
Gwibber - shared library.

%package -n %girname
Summary: GObject Introspection interface description for Gwibber
Group: Networking/Other
Requires: %libname = %version

%description -n %girname
GObject Introspection interface description for Gwibber.

%package -n %develname
Summary: Development files for Gwibber
Group: Networking/Other
Requires: %libname = %version

%description -n %develname
Development files for Gwibber.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1

find libgwibber-gtk -name *.c -delete

# Fix libaccounts-glib dependency
sed -i 's/--pkg accounts/--pkg libaccounts-glib/' */Makefile.{am,in} */*/Makefile.{am,in}

%build
autoreconf -vfi
intltoolize --force
%configure2_5x \
	--disable-static \
	--disable-spell \
	--disable-unity \
	--disable-schemas-compile
make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/*
%{_datadir}/%{name}
%{_libexecdir}/entry-c
%{_libexecdir}/entry-vala
%{_datadir}/applications/*.desktop
%{_datadir}/accounts/applications/gwibber.application
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/dbus-1/services/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/indicators/messages/applications/gwibber.indicator
%{py_puresitedir}/*
%{_datadir}/GConf/gsettings/*.convert
%{_mandir}/man1/*

%files -n %libname
%{_libdir}/*.so.%major
%{_libdir}/*.so.%major.*

%files -n %girname
%{_libdir}/girepository-1.0/Gwibber*-%{girmajor}.typelib

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps


%changelog
* Sat Nov 02 2013 fwang <fwang> 3.6.0-6.mga4
+ Revision: 548913
- requires python-gi

* Wed Oct 23 2013 wally <wally> 3.6.0-5.mga4
+ Revision: 546700
- add patch to port to pillow (from Arch)
- fix libaccounts-glib dependency (from Arch)
- clean .spec a bit

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-4.mga3
+ Revision: 353060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 fwang <fwang> 3.6.0-3.mga3
+ Revision: 329703
- fix exception

* Tue Dec 11 2012 fwang <fwang> 3.6.0-2.mga3
+ Revision: 329687
- add more req exception

* Tue Dec 11 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 329553
- fix desktop file
- rediff patch0
- update build
- add more br
- new version 3.6.0

* Mon Jul 09 2012 fwang <fwang> 3.4.2-1.mga3
+ Revision: 269015
- new version 3.4.2

* Sun Jun 10 2012 fwang <fwang> 3.4.1-1.mga3
+ Revision: 259219
- new version 3.4.1

* Wed Apr 11 2012 fwang <fwang> 3.4.0-1.mga2
+ Revision: 230206
- update pkgconfig file patch
- update file list
- add br
- upload gtk3 patch
- add sina service
- drop old not needed patches
  drop gtk2 from .pc file
- try build with non-parallel
- force regenerate libgwibber-gtk.c
- drop autogen
- fix typo
- new version 3.4.0

* Sun Jan 29 2012 fwang <fwang> 3.3.2-1.mga2
+ Revision: 202863
- more gee 0.8 patch
- force rebuild vala files
- bump br
- br gee 0.8
- br gettext-devel
- new version 3.3.2
- sync with fedora patches

* Mon Dec 05 2011 fwang <fwang> 3.3.1.1-1.mga2
+ Revision: 176802
- use gnome-autogen
- update br
- drop old patches
- new version 3.3.1.1

  + obgr_seneca <obgr_seneca>
    - rebuild against new libdbusmenu

* Tue Nov 01 2011 fwang <fwang> 3.2.1-2.mga2
+ Revision: 160998
- add more req

* Mon Oct 31 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 160397
- drop static lib
- update file list
- update file list
- fix pkgconfig file
- update file list
- update file list
- fix vapi of gtk3
- delete c files
- new version 3.2.1
- new version 3.2.0.1
- rework patch
- replace tabs
- add condition
- fix syntax with latest vala
- force regenerate c files
- disable unity also
- disable spell
- recognize newer valac
- clean spec
- 3.2.0 (gtk3 based)

* Wed Jul 13 2011 wally <wally> 3.1.0-2.mga2
+ Revision: 123866
- fix _requires_exceptions

* Wed Jul 13 2011 fwang <fwang> 3.1.0-1.mga2
+ Revision: 123770
- new version 3.1.0

* Sun Jul 10 2011 fwang <fwang> 3.0.0.1-2.mga2
+ Revision: 121810
- sync with mandriva, added some popular microblogging services in china

* Tue Apr 19 2011 dmorgan <dmorgan> 3.0.0.1-1.mga1
+ Revision: 88139
- imported package gwibber

